Bug 128289 - LISP errors after switching a buffer from html-mode to xml-mode
Summary: LISP errors after switching a buffer from html-mode to xml-mode
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: psgml   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-21 11:10 UTC by Daniel Berrange
Modified: 2013-04-30 23:33 UTC (History)
1 user (show)

Fixed In Version: psgml-1.2.5-4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 12:38:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-07-21 11:10:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
When loading an HTML document, the html-mode will automactically be
activated on the buffer in question. If the buffer is then switched
into xml-mode instead, the status bar will display LISP errors
whenever an attempt is made to type closing angle bracket '>':

  Symbol's function definition is void: sgml-close-angle


If auto activation of html-mode is disabled & the buffer is put
straight into xml-mode then everything works as expected. Thus it
appears that html-mode is leaving behind some cruft that is breaking
subsequent use of xml-mode


Version-Release number of selected component (if applicable):
psgml 1.2.3-7, emacs 21.3-4

How reproducible:
Always

Steps to Reproduce:
1. Launch emacs
2. In *scratch* buffer, M-x html-mode to activate HTML mode
3. Enter some tags, eg <html> </html>
4. Still in *scratch* buffer, M-x xml-mode to switch to XML mode
5. Enter some more tags <body></body>

Actual Results:  When typing '>' on the first '<body>' tag, an error
will be displayed

  Symbol's function definition is void: sgml-close-angle

Expected Results:  No error is displayed

Additional info:

Comment 1 Radek Vokal 2006-11-01 12:38:44 UTC
This bug is already fixed in new releases of RHEL. RHEL3 is in maintanance part
of its life cycle and for next updates were are looking only for critical bugs
and performance related issues. Closing as CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.